Bug 855548 - [F17] Firstboot fails with dependency and timeout errors
[F17] Firstboot fails with dependency and timeout errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 15:42 EDT by pjp
Modified: 2013-05-09 21:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-09 21:54:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-ks.cfg (3.28 KB, application/octet-stream)
2012-09-08 15:44 EDT, pjp
no flags Details
install.log (83.40 KB, text/x-log)
2012-09-08 15:44 EDT, pjp
no flags Details
install.log.syslog (16.45 KB, application/octet-stream)
2012-09-08 15:46 EDT, pjp
no flags Details
dmesg.txt (71.55 KB, text/plain)
2012-09-08 15:47 EDT, pjp
no flags Details

  None (edit)
Description pjp 2012-09-08 15:42:43 EDT
Description of problem:
=======================
After the install is finished for F17, firstboot fails with an error

   Cannot find font file True

I replace the kernel boot parameter SYSFONT=True -> SYSFONT=latarcyrheb-sun16
and boot fails with timeout and dependency errors

===
...
[ OK ] Started Initialize storage subsystems (RAID LVM etc.).
[ OK ] Mounted /boot.
[ OK ] Found device /dev/mapper/luks-5ff4ed8d-e24b-4009-*
[ OK ] Started Cryptography Setup for luks-5ff4ed8d-e24b-*
[ TIME ] Timed out waiting for device dev-mapper-luks\x2dc69a420f...
[DEPEND] Dependency failed for Cryptography setup for luks-c69a420f...
[DEPEND] Dependency failed for Encrypted Volumes.
[DEPEND] Dependency failed for /home.
[DEPEND] Dependency failed for Local File Systems.
[DEPEND] Dependency failed for Relbel all filesystems, if necessary.
[DEPEND] Dependency failed for Mark the need to relabel after reboot.
[DEPEND] Dependency failed for D-Bus System Message Bus Socket.
[DEPEND] Dependency failed for D-Bus System Message Bus.
[DEPEND] Dependency failed for Avahi mDNS/DNS-SD Stack.
[DEPEND] Dependency failed for Login Service.
[DEPEND] Dependency failed for Network Manager
[DEPEND] Dependency failed for PC/SC Smart Card Daemon Activation Socket.
[DEPEND] Dependency failed for RPCBind Service Activation Socket.
[DEPEND] Dependency failed for RPC bind service.
[DEPEND] Dependency failed for NFS file locking service.
[DEPEND] Dependency failed for Avahi mDNS/DNS-SD Stack Activation Socket.
[DEPEND] Dependency failed for CUPS Printing Service Sockets.
[DEPEND] Dependency failed for Basic System.
[DEPEND] Dependency failed for System Logging Service.
[DEPEND] Dependency failed for Display Manager.
[DEPEND] Dependency failed for Wait for Plymouth Boot Screen to Quit.
[DEPEND] Dependency failed for Permit User Sessions.
[DEPEND] Dependency failed for System Setup Keyboard.
[DEPEND] Dependency failed for firstboot configuration program (graphical mode)
[DEPEND] Dependency failed for Multi-User.
[DEPEND] Dependency failed for Graphical Interface.
Welcome to emergency mode. User "Systemctl default" or ^D to enter default mode.
Give root password for maintenance
(or type Control-D to continue): 

# dmesg
...
[   95.797756] systemd[1]: Job dev-mapper-luks\x2d2d9adcec\x2d9989\x2d4b56\x2dbf7a\x2d3468a94dac3e.device/start failed with result 'depende
ncy'.
[   95.798181] systemd[1]: Job data2.mount/start failed with result 'dependency'.
[   95.798210] systemd[1]: Job home.mount/start failed with result 'dependency'.
[   95.798231] systemd[1]: Job dev-mapper-luks\x2dc69a420f\x2d5164\x2d4315\x2dbef6\x2d7b032164bee3.device/start failed with result 'timeout
'.
[  185.576342] systemd[1]: Job dev-mapper-luks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop timed out.
[  185.576409] systemd[1]: Job dev-mapper-luks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop failed with result 'timeout'.
[  185.576432] systemd[1]: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d5ff4ed8de24b4009b8980d8aa7c8c8ac\x2dluks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop timed out.
[  185.577412] systemd[1]: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d5ff4ed8de24b4009b8980d8aa7c8c8ac\x2dluks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop failed with result 'timeout'.
[  185.577428] systemd[1]: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop timed out.
[  185.577449] systemd[1]: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d5ff4ed8d\x2de24b\x2d4009\x2db898\x2d0d8aa7c8c8ac.device/stop failed with result 'timeout'.
[  185.577461] systemd[1]: Job dev-dm\x2d0.device/stop timed out.
[  185.577475] systemd[1]: Job dev-dm\x2d0.device/stop failed with result 'timeout'.
[  185.577486] systemd[1]: Job sys-devices-virtual-block-dm\x2d0.device/stop timed out.
[  185.577504] systemd[1]: Job sys-devices-virtual-block-dm\x2d0.device/stop failed with result 'timeout'.
[  185.578567] systemd[1]: Startup finished in 1s 492ms 227us (kernel) + 3s 547ms 518us (initrd) + 3min 875ms 584us (userspace) = 3min 5s 915ms 329us.


# df -hT
Filesystem     Type      Size  Used Avail Use% Mounted on
rootfs         rootfs     20G  4.8G   14G  26% /
devtmpfs       devtmpfs  3.9G     0  3.9G   0% /dev
tmpfs          tmpfs     3.9G     0  3.9G   0% /dev/shm
tmpfs          tmpfs     3.9G  836K  3.9G   1% /run
/dev/sda2      ext4       20G  4.8G   14G  26% /
tmpfs          tmpfs     3.9G     0  3.9G   0% /sys/fs/cgroup
tmpfs          tmpfs     3.9G     0  3.9G   0% /media
/dev/sda1      ext4      124M   45M   73M  39% /boot

# lvmdiskscan
  /dev/sda1 [     128.00 MiB] 
  /dev/sda2 [      19.53 GiB] 
  /dev/sda3 [       3.91 GiB] 
  /dev/sda5 [     274.53 GiB] 
  /dev/sdb1 [     162.00 MiB] 
  /dev/sdc1 [       1.95 GiB] 
  0 disks
  6 partitions
  0 LVM physical volume whole disks
  0 LVM physical volumes

===

Version-Release number of selected component (if applicable):
=============================================================

  Fedora-17 (F17)

How reproducible:
==================

When installing F17 x86_64 OS

 1. Create partition table with few standard partitions(/boot, /  & swap)
    and few LVM Logical volumes /home, /data1, /data2 ...

 2. select custom install

 3. select few applications - Thunderbird, Alpine, lighttpd etc.

 4. De-select few applications - braseor, totem, slrn etc.

 5. Hit next to start installtion

 6. wait for installation to finish and reoobt

  
Actual results:

 The boot process stops with timeout, dependency and font file True errors.
 Shows a prompt to login to the "emergency mode" shell.

Expected results:

 The system should boot and display graphical login prompt.

Additional info:

  anaconda-ks, install.log and install.syslog files attached
Comment 1 pjp 2012-09-08 15:44:07 EDT
Created attachment 611069 [details]
anaconda-ks.cfg

Kickstart file generated by Anaconda under /root/
Comment 2 pjp 2012-09-08 15:44:52 EDT
Created attachment 611070 [details]
install.log

install.log generated by Anaconda under /root/.
Comment 3 pjp 2012-09-08 15:46:23 EDT
Created attachment 611071 [details]
install.log.syslog

install.log.syslog generated by anaconda under /root/
Comment 4 pjp 2012-09-08 15:47:14 EDT
Created attachment 611072 [details]
dmesg.txt

$ dmesg output from the machine.
Comment 5 pjp 2012-09-08 18:13:50 EDT
I had entire LVM Physical Volum encrypted, plus couple of logical volumes encrypted inside that.

The installation worked well, when LVM Physical Volume is NOT encrypted, but the individual logical volumes are encrypted.
Comment 6 amturnip 2012-09-09 14:52:01 EDT
With Fedora 17 also, I selected to encrypt only the physical volume, and everything turned out OK.  

It would seem ... unusual ... to request to encrypt *both* the physical volume, *and* the file systems that you put in the logical volumes.
Comment 7 Chris Lumens 2012-11-21 14:33:06 EST
Can you please retest with F18 beta (due out shortly) and let us know if you are still seeing this firstboot problem?  Thanks.
Comment 8 pjp 2012-11-22 01:36:58 EST
(In reply to comment #7)
> Can you please retest with F18 beta (due out shortly) and let us know if you
> are still seeing this firstboot problem?  Thanks.

  Sorry mate, I'm a little occupied at the moment.
Comment 9 Adam Williamson 2013-05-09 21:54:50 EDT
Reporter never responded, we have not had further reports of this, and firstboot is dead in f19 anyway. Let's close this.

Note You need to log in before you can comment on or make changes to this bug.